#ifndef SIGMABOARD_H
#define SIGMABOARD_H

class SigmaBoard : public Function
{
public:
    SigmaBoard(Mesh& mesh) : Function(mesh), sigma(0.54*0.048) {}

    void eval(real* values, const real* x) const
    {
        values[0] = sigma;
    }

    real getSigma() const {return sigma;}
    void setSigma(const real s) {sigma = s;}

private:
    real sigma;
};

#endif /* end of include guard: SIGMABOARD_H */
